javax.swing.plaf

## Class BorderUIResource.MatteBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - javax.swing.border.MatteBorder
      - - javax.swing.plaf.BorderUIResource.MatteBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.MatteBorderUIResource
    extends MatteBorder
    implements UIResource

### Field Summary

### Fields inherited from class javax.swing.border.MatteBorder

`color, tileIcon`

### Fields inherited from class javax.swing.border.EmptyBorder

`bottom, left, right, top`

### Constructor Summary

Constructors
Constructor and Description
`BorderUIResource.MatteBorderUIResource(Icon tileIcon)`
`BorderUIResource.MatteBorderUIResource(int top, int left, int bottom, int right, Color color)`
`BorderUIResource.MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)`

### Method Summary

### Methods inherited from class javax.swing.border.MatteBorder

`getBorderInsets, getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque, paintBorder`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BorderUIResource.MatteBorderUIResource

    public BorderUIResource.MatteBorderUIResource(int top,
                                          int left,
                                          int bottom,
                                          int right,
                                          Color color)

#### BorderUIResource.MatteBorderUIResource

    public BorderUIResource.MatteBorderUIResource(int top,
                                          int left,
                                          int bottom,
                                          int right,
                                          Icon tileIcon)

#### BorderUIResource.MatteBorderUIResource

    public BorderUIResource.MatteBorderUIResource(Icon tileIcon)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.